Notifications
Clear all

Upgrade to 9.0.0P20 fails

Page 1 / 3

dani
 dani
(@dani)
Joined: 9 months ago
Posts: 12
Topic starter  

Hi.

I have a running 9.0.0P17 (Zextra build) running on EL8. I see there's now a P20 available. So, I downloaded it, ran the ./install.sh but it fails :

Removing deployed webapp directories

Installing repo packages (7):
   zimbra-core-components
   zimbra-ldap-components
   zimbra-snmp-components
   zimbra-jetty-distribution
   zimbra-store-components
   zimbra-apache-components
   zimbra-spell-components
      ...done

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell
      ...
ERROR: Unable to install required packages
WARNING: REMOTE PACKAGE INSTALLATION FAILED.
To proceed, review the instructions at:
 https://wiki.zimbra.com/wiki/Recovering_from_upgrade_failure 
Failure to follow the instructions on the wiki will result in complete data loss.
[root@zmstore zcs-9.0.0_ZEXTRAS_2021103.RHEL8_64.20211027104659]# 

 

In the installation log (/tmp/install.log.xxxxx)

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell

Verifying...                          ########################################
Préparation...                       ########################################
        le paquet zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-ldap-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-ldap-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-logger-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-logger-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-snmp-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-snmp-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-store-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-store-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-apache-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-apache-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-spell-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-spell-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé

It looks like somehow, yum finds that the new build is older than the old one (eg zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 is already installed and is newer than zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64)

 

The problem seems to be a missing number in the version (2021103 instead of 20211103)


Quote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @dani

Hi.

I have a running 9.0.0P17 (Zextra build) running on EL8. I see there's now a P20 available. So, I downloaded it, ran the ./install.sh but it fails :

Removing deployed webapp directories

Installing repo packages (7):
   zimbra-core-components
   zimbra-ldap-components
   zimbra-snmp-components
   zimbra-jetty-distribution
   zimbra-store-components
   zimbra-apache-components
   zimbra-spell-components
      ...done

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell
      ...
ERROR: Unable to install required packages
WARNING: REMOTE PACKAGE INSTALLATION FAILED.
To proceed, review the instructions at:
 https://wiki.zimbra.com/wiki/Recovering_from_upgrade_failure 
Failure to follow the instructions on the wiki will result in complete data loss.
[root@zmstore zcs-9.0.0_ZEXTRAS_2021103.RHEL8_64.20211027104659]# 

 

In the installation log (/tmp/install.log.xxxxx)

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell

Verifying...                          ########################################
Préparation...                       ########################################
        le paquet zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-ldap-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-ldap-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-logger-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-logger-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-snmp-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-snmp-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-store-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-store-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-apache-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-apache-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-spell-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-spell-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé

It looks like somehow, yum finds that the new build is older than the old one (eg zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 is already installed and is newer than zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64)

 

The problem seems to be a missing number in the version (2021103 instead of 20211103)

Hi Daniel,

That's interesting. Anyway, to be sure, I suppose you meant you downloaded Zextra's new build based on patch 20. Correct me please if I'm wrong.

If so, I'll try to replicate that on my machine or alternatively ask our experts.

Thank you very for sharing the issue with us.

 

Best regards,

Arman


ReplyQuote
dani
 dani
(@dani)
Joined: 9 months ago
Posts: 12
Topic starter  

@arman Yes, I downloaded the latest P20 build earlier today from zextras website


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @dani

@arman Yes, I downloaded the latest P20 build earlier today from zextras website

Thank you, I will investigate the issue.


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @dani

Hi.

I have a running 9.0.0P17 (Zextra build) running on EL8. I see there's now a P20 available. So, I downloaded it, ran the ./install.sh but it fails :

Removing deployed webapp directories

Installing repo packages (7):
   zimbra-core-components
   zimbra-ldap-components
   zimbra-snmp-components
   zimbra-jetty-distribution
   zimbra-store-components
   zimbra-apache-components
   zimbra-spell-components
      ...done

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell
      ...
ERROR: Unable to install required packages
WARNING: REMOTE PACKAGE INSTALLATION FAILED.
To proceed, review the instructions at:
 https://wiki.zimbra.com/wiki/Recovering_from_upgrade_failure 
Failure to follow the instructions on the wiki will result in complete data loss.
[root@zmstore zcs-9.0.0_ZEXTRAS_2021103.RHEL8_64.20211027104659]# 

 

In the installation log (/tmp/install.log.xxxxx)

Installing local packages (23):
   zimbra-common-core-jar
   zimbra-common-core-libs
   zimbra-common-mbox-conf
   zimbra-common-mbox-conf-attrs
   zimbra-common-mbox-conf-msgs
   zimbra-common-mbox-conf-rights
   zimbra-common-mbox-db
   zimbra-common-mbox-docs
   zimbra-common-mbox-native-lib
   zimbra-timezone-data
   zimbra-core
   zimbra-ldap
   zimbra-logger
   zimbra-snmp
   zimbra-mbox-admin-console-war
   zimbra-mbox-conf
   zimbra-mbox-war
   zimbra-mbox-service
   zimbra-mbox-store-libs
   zimbra-mbox-webclient-war
   zimbra-store
   zimbra-apache
   zimbra-spell

Verifying...                          ########################################
Préparation...                       ########################################
        le paquet zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-ldap-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-ldap-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-logger-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-logger-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-snmp-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-snmp-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-store-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-store-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-apache-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-apache-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé
        le paquet zimbra-spell-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 (plus récent que zimbra-spell-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64) est déjà installé

It looks like somehow, yum finds that the new build is older than the old one (eg zimbra-core-9.0.0_ZEXTRAS_20210811.RHEL8_64-20210830124250.x86_64 is already installed and is newer than zimbra-core-9.0.0_ZEXTRAS_2021103.RHEL8_64-20211027104659.x86_64)

 

The problem seems to be a missing number in the version (2021103 instead of 20211103)

Hello Daniel,

We investigated the problem for you. As you know p20 fix is nothing but an upgrade of OpenSSL as seen here

https://wiki.zimbra.com/wiki/Zimbra_Releases/9.0.0/P20

Therefore, the best and fastest way for you to surpass this security issue would be the apt-get/yum upgrade to install the new zimbra-openssl package ( openssl L ).


ReplyQuote
dani
 dani
(@dani)
Joined: 9 months ago
Posts: 12
Topic starter  

@arman yep, that's what I did for now. But there are a few additional small fixes in P18, P19 and P20 which I was hoping to get before I go live with a new Zimbra deployment I'm working on (with the Zextra suite 😉 )


ReplyQuote
john_doe
(@john_doe)
Joined: 9 months ago
Posts: 16
 

Hello there,
I tried to download the current installer file but I only get a "404 - not found" error as a reply.
Anyone else having this issue?


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @john_doe

Hello there,
I tried to download the current installer file but I only get a "404 - not found" error as a reply.
Anyone else having this issue?

Hi,

As you know, the last build needed some refinements, so it will probably be resolved soon.


ReplyQuote
john_doe
(@john_doe)
Joined: 9 months ago
Posts: 16
 

@arman Thanks for clarificaiton.

Is there any possiblitiy to stay up to date when to rerun the installation/upgrade process?

E.g. RSS feed, mailing list


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @john_doe

@arman Thanks for clarificaiton.

Is there any possiblitiy to stay up to date when to rerun the installation/upgrade process?

E.g. RSS feed, mailing list

Unfortunately, not now. However, we are thinking about such solutions as well to make the upgrades more convenient. 

This post was modified 8 months ago by Arman Khosravi

ReplyQuote
john_doe
(@john_doe)
Joined: 9 months ago
Posts: 16
 

@arman

So there is no longer the need to manually upgrade everything via the `install.sh` scripts?


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 
Posted by: @john_doe

@arman

So there is no longer the need to manually upgrade everything via the `install.sh` scripts?

For this upgrade, I'd say so but for the next ones, you can continue as usual.

 


ReplyQuote
john_doe
(@john_doe)
Joined: 9 months ago
Posts: 16
 
Posted by: @arman
Posted by: @john_doe

@arman

So there is no longer the need to manually upgrade everything via the `install.sh` scripts?

For this upgrade, I'd say so but for the next ones, you can continue as usual.

 

This is my 1st upgrade as I have installed Zimbra 9 OSS recently.

That's why I have asked if or what is the possiblity to stay up-to-date for any patches/releases.

 


ReplyQuote
Arman Khosravi
(@arman)
Admin
Joined: 1 year ago
Posts: 194
 

Hello everyone,

I'm glad to inform you the Zimbra 9 build package has already been fixed and uploaded for you to download and upgrade.

You can as always, find the installation package and all the necessary information on the download page:

https://www.zextras.com/zextras-build-based-on-zimbra-official-repository/


john_doe liked
ReplyQuote
john_doe
(@john_doe)
Joined: 9 months ago
Posts: 16
 

I have installed it but unfortunately zmmailboxdctl is not starting.

Unfortunately my knowledge is too little to have a proper answer but I have seen at zmmailboxd.out following error:

 

OpenJDK 64-Bit Server VM warning: .hotspot_compiler file is present but has been ignored.  Run with -XX:CompileCommandFile=.hotspot_compiler to load the file.
[0,038s][info][gc] Periodic GC disabled
SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: Defaulting to no-operation (NOP) logger implementation
SLF4J: See  http://www.slf4j.org/codes.html#StaticLoggerBinder  for further details.
JettyMonitor monitoring thread pool QueuedThreadPool[qtp1059063940]@3f200884{STOPPED,10<=0<=250,i=0,r=-1,q=0}[NO_TRY]
Zimbra server reserving server socket port=7110 bindaddr=null ssl=false
Zimbra server reserving server socket port=7995 bindaddr=null ssl=false
Zimbra server reserving server socket port=7143 bindaddr=null ssl=false
Zimbra server reserving server socket port=7993 bindaddr=null ssl=false
Zimbra server reserving server socket port=7025 bindaddr=null ssl=false
[1,579s][info][gc] GC(0) Pause Young (Normal) (GCLocker Initiated GC) 99M->15M(1946M) 22,215ms

 

 


ReplyQuote
Page 1 / 3